.prod-inf {
    background: #fff;
    border: 1px solid #E3E3E3;
    border-radius: 16px;
    padding: 0px 27px 5px;
    text-align: center;
    margin-bottom: 20px;
    margin-top: 15px;
}

fieldset {
    border: 1px solid silver;
    margin: 0 2px;
    padding: 0.35em 0.625em 0.75em;
}
legend {
    display: block;
    width: auto;
    max-width: 100%;
    padding: 0 15px;
    margin-bottom: 0.5rem;
    line-height: inherit;
    color: inherit;
    white-space: normal;
    text-align: left;
    font-size: 16px;
    font-weight: 300;
}
input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    appearance: none;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
input#field_width:hover {
    cursor: not-allowed;
}
input[name="field_length[]"]:not(label):hover {
    background: white;
    border-color: #0e8420;
}
.input-group.ig {
    max-width: 120px;
}
.input-group.igshot {
    padding-left: 25px;
    padding-right: 25px;
}
.input-separator {
    line-height: 1;
    position: absolute;
    pointer-events: none;
    bottom: 0.6rem;
}
.separator-cross {
    right: 95%;
    left: -1rem;
    margin-right: -0.6rem;
}
.separator-equals {
    left: 99%;
    margin-left: -1rem;
    font-weight: 600;
}

.clac_single_form .inputs .input-group.igshot:first-child .input-item {
    display: flex;
    line-height: 1.4;
    font-weight: 600;
    width: 100%;
    cursor: default;
    padding: 6px 0px 6px 16px;
    position: relative;
    background: #f9f9f9;
    border-radius: 6px;
    border: 1px solid #dbdbdb;
}

.clac_heigth_form_block label {
    display: block;
    height: fit-content;
    height: max-content;
    height: min-content;
}
.form-control:disabled, .form-control[readonly] {
    background-color: #e9ecef;
    opacity: 1;
}
.input-group:not(.rez-poiska-hs)>.form-control {
    display: inline-block;
    position: relative;
    margin: 0;
    padding-left: 16px;
    background: #F6F6F6;
    min-width: 100%;
    max-width: 180px;
    width: 100%;
    height: 36px;
    line-height: 1.5;
    font-size: 1rem;
    font-weight: 600;
    vertical-align: top;
    border: 1px solid #ced4da;
    border-radius: 0.25rem !important;
    -webkit-appearance: none;
    -moz-appearance: none;
    transition: all 0.25s ease-in-out;
    box-shadow: none !important;
}
input[readonly].length-var:hover, input[disabled].length-var:hover {
    cursor: default;
}
input[readonly].length-var, input[disabled].length-var {
    color: #495057 !important;
}

.innerqty {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 60px;
    flex: 0 0 60px;
    max-width: 141px;
    padding-right: 16px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0;
}

.qty-btn, .product-field_remove {
    width: 41px;
    height: 36px;
    background: #F7F7F7;
    border-radius: 16px;
    position: relative;
    padding: 0;
    border: 0;
    border: 1px solid #ced4da;
    cursor: pointer;
}
.qty-btn:before, .qty-btn:after {
  content: "";
  display: block;
  width: 12px;
  height: 2px;
  background: #414141;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.qtyplus:after, .qty-plus:after {
  -webkit-transform: translate(-50%, -50%) rotate(-90deg);
          transform: translate(-50%, -50%) rotate(-90deg);
}
.qtyValue {
    width: 41px;
    font-size: 14px;
    line-height: 22px;
    font-weight: 600;
    height: 36px;
    padding: 0;
    border: 0;
    text-align: center;
    outline: none;
}
fieldset.clac_heigth_form input::placeholder {
    font-size: 12px;
}
.clac_heigth_form_block.item-length .product-field_remove:not(:first-child) {
    visibility: hidden;
}
.product-field_remove {
    text-align: center;
    line-height: 2.2;
}

.clac_heigth_form_block.item-length .price.item-footer {
    font-size: 10px;font-weight: 400;margin-top: 5px;margin-bottom: 17px;
}
.clac_heigth_form_block.item-length .price.item-footer span {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    display: inline-block;
    position: relative;
}
.clac_heigth_form_block.item-length .price.item-footer span:not([id^=calc_price_result]):not([id^=calc_meters_item_result]):before {
    content: "";
    display: block;
    position: absolute;
    left: 8px;
    right: 8px;
    height: 1px;
    background: #D2D2D2;
    bottom: 0;
}

.clac_heigth_form_block:nth-child(3) button.product-field_remove {
    visibility: hidden;
}

.product-details .product-form-calc {
    position: relative;
    margin: 20px 0;
}
.product-form-calc .price span {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  display: inline-block;
  position: relative;
}

.product-form-callc .price span:not(#calc_price_result):before {
  content: "";
  display: block;
  position: absolute;
  left: 8px;
  right: 8px;
  height: 1px;
  background: #D2D2D2;
  bottom: 0;
}
#priceProductResult {
    font-size: 20px;
    font-weight: 600;
    position: relative;
    top: -6px;
}


.inputs .input-group:last-child {
    justify-content: flex-end;
}
.clac_single_form .inputs .input-group:last-child {
    white-space: nowrap;
    justify-content: flex-start;
}

.product-form-calc .price span:not(#calc_price_result):before {
  content: "";
  display: block;
  position: absolute;
    top: 16px;
  left: 8px;
  right: 8px;
  height: 1px;
  background: #D2D2D2;
  bottom: 0;
}

button.clone[value="calc/add"] {
    border: none;
    font-size: 12px;
    background: transparent;
    cursor: pointer;
}


.tooltip-info-label:hover {color: saddlebrown;cursor: pointer;}
.tooltip-info-label {
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-left: 5px;
    text-align: center;
    font-size: 8px;
    border: 1px solid;
    border-radius: 50%;
    position: relative;
    top: -8px;
    line-height: 1.5;
    color: rosybrown;
}

.tooltip {
  position: absolute;
  z-index: 1070;
  display: block;
  margin: 0;
  font-family: "TTHoves", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  white-space: normal;
  line-break: auto;
  font-size: 0.875rem;
  word-wrap: break-word;
  opacity: 0;
}
.tooltip.show {
  opacity: 1;
}
.tooltip .arrow {
  position: absolute;
  display: block;
  width: 0.8rem;
  height: 0.4rem;
}
.tooltip .arrow::before {
  position: absolute;
  content: "";
  border-color: transparent;
  border-style: solid;
}

.bs-tooltip-top, .bs-tooltip-auto[x-placement^=top] {
  padding: 0.4rem 0;
}
.bs-tooltip-top .arrow, .bs-tooltip-auto[x-placement^=top] .arrow {
  bottom: 0;
}
.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^=top] .arrow::before {
  top: 0;
  border-width: 0.4rem 0.4rem 0;
  border-top-color: #fff;
}

.bs-tooltip-right, .bs-tooltip-auto[x-placement^=right] {
  padding: 0 0.4rem;
}
.bs-tooltip-right .arrow, .bs-tooltip-auto[x-placement^=right] .arrow {
  left: 0;
  width: 0.4rem;
  height: 0.8rem;
}
.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^=right] .arrow::before {
  right: 0;
  border-width: 0.4rem 0.4rem 0.4rem 0;
  border-right-color: #fff;
}

.bs-tooltip-bottom, .bs-tooltip-auto[x-placement^=bottom] {
  padding: 0.4rem 0;
}
.bs-tooltip-bottom .arrow, .bs-tooltip-auto[x-placement^=bottom] .arrow {
  top: 0;
}
.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^=bottom] .arrow::before {
  bottom: 0;
  border-width: 0 0.4rem 0.4rem;
  border-bottom-color: #fff;
}

.bs-tooltip-left, .bs-tooltip-auto[x-placement^=left] {
  padding: 0 0.4rem;
}
.bs-tooltip-left .arrow, .bs-tooltip-auto[x-placement^=left] .arrow {
  right: 0;
  width: 0.4rem;
  height: 0.8rem;
}
.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^=left] .arrow::before {
  left: 0;
  border-width: 0.4rem 0 0.4rem 0.4rem;
  border-left-color: #fff;
}

.tooltip-inner {
    max-width: 360px;
    padding: 0.45rem 0.88rem 0.25rem 0.88rem;
    color: #000;
    text-align: left;
    background-color: #fff;
    border-radius: 0.25rem;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0 / 25%);
    border-top: 1px solid rgb(0 0 0 / 10%);
    margin-top: -6px;
    color: #594d4d;
}





span#installments_calc_price_result {
    font-weight: 600;
}
.calc-price-result {
    font-size: 23px;
    font-weight: 600;
    position: absolute;
    top: 2px;
}

/* Product:modal add/cart ON dev mart 2024 */
/* Basket cart */
.basket-item {
    color: #636363;
    padding: 0rem 1rem 0rem 1rem;
}

.basket-item__product {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: flex-start;
    padding: 0.3rem 0.2rem 1rem 0.3rem;
}

.img-box {
    width: 150px;
    flex-shrink: 0;
    position: relative;
}
.img-box:before {
    content: "";
    display: block;
    padding-top: 69.9029%;
}

.img-box img {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    object-fit: contain;
}
.js-mobile .hidden-m-text {  display: none;}
.basket-item .single {
    padding-right: 0.4rem;
}
.js-mobile .basket-item .single .row-item[data-td="Стоимость"] {
    float: right;
    right: 8px;
    position: absolute;
    bottom: 13px;
}
.js-mobile .basket-item .item-row.single {
    padding: 0.5rem !important
}
.basket-item .item-row {
    display: flex;
    position: relative;
    min-height: 0.69rem;
    align-items: center;
    transition: color 0.35s ease;
    border-top: 1px solid #ececec;
    justify-content: space-between;
    /*padding: 1rem 0.18rem 0.25rem 0.3rem;*/
    padding: 0.4rem 0.18rem 0.6rem 0.3rem;
}
.basket-item__row-text--link {
    cursor: pointer;
}

.basket-item__row-text {
    align-items: center;
    display: inline-flex;
    justify-content: flex-end;
}
.basket-item .product-item-wrap-total {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 30px;
}
.basket-item .item-row.single.piece {
    justify-content: flex-end;
    padding-bottom: 0;
}
.basket-item .item-row.single.piece>* {
    margin-left: 25px;
}
.js-mobile .basket-item .item-row.single.piece>*:first-child {
    margin-left: 0;
    top: -7px;
    position: relative;
}
.js-mobile .product-total-costs {
    padding: 0.65rem;
}
.js-mobile .basket-item .single.piece .row-item[data-td="Стоимость"] {
    right: 23%;
    bottom: auto;
}
.js-mobile .basket-item .item-row.single.piece .delete {
    top: 28% !important;
}
.js-mobile .basket-item .single.piece .row-item[data-td="Стоимость"] span>small {
    font-size: 12px;
}
.js-mobile .basket-item .item-row.single.piece {
    justify-content: space-between;
}
.basket-item .row-item-price {
    align-self: self-start;
}
.basket-item__row-price {
    color: #000;
    font-weight: 600;
    white-space: nowrap;
    transition: opacity 0.35s ease;
}

.basket-item .info-item {
    margin: 0;
    padding: 0 0.09rem;
    position: relative;
}
.basket-item .cart-product-description {
    width: 100%;
    transition: opacity 0.35s ease;
    align-self: start;
    /*padding-right: 40px;*/
    line-height: 1.3;
    padding-top: 3px;
    
}
.js-mobile .basket-item .product-item-wrap-total {
    flex-wrap: wrap;
    padding: 0;
    min-width: 180px;
}
.js-mobile .basket-item .cart-product-description {
    font-size: 12px;
    padding-right: 0;
}
.js-mobile .product-price-wrap {
    padding-left: 20px;
}

.basket-item .op-name, .basket-item .op-val {
    margin: 0;
    padding: 0;
    vertical-align: top;
    display: inline-block;
}
.basket-item .product-price {
    color: #000;
    display: block;
    white-space: nowrap;
    transition: opacity 0.35s ease;
}

.basket-item .product-price-wrap {
    position: relative;
    padding-right: 0.3rem;
    text-align: right;
    align-self: start;
}
.basket-item .qty-view {
    position: relative;
    padding-top: 15px;
}

.basket-item .delete {
    top: auto;
    right: 5%;
    opacity: 0.5;
    line-height: 1;
    cursor: pointer;
    color: #292929;
    position: absolute;
    margin-left: 0.14rem;
    margin-top: -0.05rem;
    transition: opacity 0.35s ease, transform 0.35s ease, color 0.35s ease;
}

/*media*/
@media only screen and (max-width: 750px) {
    .ctwrapp-title {
        font-size: 21px;
        line-height: 29px;
        display: block;
        margin-block-end: 1.33em;
        margin-bottom: 12px;
    }
    .elementor-contact a.phone-text {
        font-size: 26px;
    }
    .title, .pagetitle {
        font-size: 26px;
        line-height: 35px;
    }
    /*.product-block__details {
        display: none;
    }*/
    .basket-item {
        padding-right: 2rem;
        font-size: 11px;
        padding: 0px;
    }
    .basket-item__product {
        display: flex;
        padding: 0.32rem 0 0;
    }
    .basket-item .product-title {
        display: flex;
        overflow: hidden;
        min-height: 0.68rem;
        align-items: center;
        margin-bottom: 0.27rem;
        justify-content: flex-start;
    }
    .basket-item .product-price {
        font-size: inherit;
        line-height: inherit;
        margin-bottom: 0.35rem;
    }
    .img-box {
        width: auto;
        height: 100px;
        padding-right: 40px;
    }
    
    .basket-item .product-price-wrap {
        display: flex;
        justify-content: space-between;
        width: auto;
    }
    .basket-item .qty-view {
        top: 0;
    }
    
    .basket-item .delete {
        position: absolute;
        top: auto;
        right: 10%;
    }
    
    .basket-item .cherepica .multiple {
        padding: 0 7px !important;
    }
    .basket-item .product-item-wrap-total {
        padding-right: 15px;
    }
    .row-item {
        align-content: center;
        padding: 0;
    }
    .basket-item .cherepica {
        padding-right: 15px;
    }
    .mutliplex {
        white-space: nowrap;
    }
    #comeback .modal-footer {
        flex-direction: column;
    }
    #comeback .modal-footer>:not(:last-child) {
        line-height: normal;
        padding-bottom: 16px;
    }
    .row-item[data-td="Площадь"] {
        display: none;
    }
    /*.cherepica .row-item:not(.multiple) {
        min-width: calc(10% * 3);
    }*/
    
    .input-group.igshot {padding: 0;}
    .input-separator, .input-group.igshot:first-child {
        display: none;
    }
    
    legend {
        padding: 0;
    }
    .prod-inf {
        border: none;
        padding: 0px 0px 5px;
    }
    .input-group:not(.rez-poiska-hs)>.form-control {
        width: 75px;
        padding-left: 14px;
    }
    .product-form .col-md-6:nth-child(2) {
        padding-top: 20px;
        margin-top: 20px;
    }
    
    .product-details .product-form .col-md-6:nth-child(2) .price {
        font-size: 17px !important;
    }
    .product-details .product-form .col-md-6:nth-child(2) .price:not(.old-price) {
        font-size: 21px !important;
    }
    /*.input-group:not(.rez-poiska-hs)>.form-control {
        border: none;
        padding: 3px;
        background: none;
    }*/
    /*.input-group.ig {
        max-width: 90px;
    }*/
    .input-group.igshot:last-child {
        width: -webkit-fill-available;
        min-width: 80px;
        max-width: 115px;
    }
    .qty-btn, .product-field_remove {
        background: transparent;
        border: none;
    }
    .calc-heading-group {
        border-bottom: 1px solid #ccc;
    }
}

.count-item-res-wrap {
    padding: 0 0.5rem;
    background: #f6f3f1;
    display: inline-block;
}
span.count-item-res {

}


.basket-item-info {
    display: flex;
    color: #636363;
    flex-wrap: wrap;
    margin: 0 -0.09rem;
    line-height: 1.23rem;
    letter-spacing: 0.02em;
    align-items: flex-start;
    justify-content: flex-start;
}
.row-item {
    display: grid;
}

.basket-item .cherepica {
    display: inline-flex;
}
.basket-item .cherepica .multiple {
    padding: 0 25px;
}


/* Additionally CSS in Product */
.btn-often-looks {
    margin: 0 15px 18px 0;
    border: 1px solid #684235;
    color: #684235;
    font-size: .8em;
}
@media only screen and (max-width: 750px) {
    .product-often-looks {
        padding: 0 23px;
    }
    .btn-often-looks {
        margin: 0 0 15px 0;
        font-size: .6em;
    }
}